Taxon (gCube Species Discovery 3.3.0-SNAPSHOT API)
Date: 2013-07-19

org.gcube.portlets.user.speciesdiscovery.shared

## Class Taxon

- java.lang.Object
- - org.gcube.portlets.user.speciesdiscovery.shared.Taxon

- All Implemented Interfaces:
    Serializable, Comparable<Taxon>, FetchingElement, TaxonomyInterface

      @Entity
      public class Taxon
      extends Object
      implements Serializable, FetchingElement, TaxonomyInterface, Comparable<Taxon>

  Author:
    Francesco Mangiacrapa francesco.mangiacrapa@isti.cnr.it
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `ACCORDING_TO`
    `protected String` | `accordingTo`
    `protected int` | `id`
    `static String` | `ID_FIELD`
    `protected int` | `internalId`
    `protected String` | `name`
    `static String` | `NAME`
    `static String` | `PARENTFOREIGN_KEY_TAXON`
    `protected String` | `rank`
    `static String` | `RANK`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Taxon()`
    `Taxon(int id)`
    `Taxon(int id, String name, String accordingTo, String rank)` Creates a new Taxon.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compareTo(Taxon o)`
    `String` | `getAccordingTo()`
    `int` | `getId()`
    `String` | `getName()`
    `String` | `getRank()`
    `String` | `getTaxonId()`
    `void` | `setId(int id)`
    `void` | `setName(String name)`
    `void` | `setRank(String rank)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ID_FIELD

          public static final String ID_FIELD

      See Also:
        Constant Field Values

    - #### PARENTFOREIGN_KEY_TAXON

          public static final String PARENTFOREIGN_KEY_TAXON

      See Also:
        Constant Field Values

    - #### RANK

          public static final String RANK

      See Also:
        Constant Field Values

    - #### NAME

          public static final String NAME

      See Also:
        Constant Field Values

    - #### ACCORDING_TO

          public static final String ACCORDING_TO

      See Also:
        Constant Field Values

    - #### internalId

          protected int internalId

    - #### id

          protected int id

    - #### name

          protected String name

    - #### accordingTo

          protected String accordingTo

    - #### rank

          protected String rank

  - ### Constructor Detail

    - #### Taxon

          public Taxon()

    - #### Taxon

          public Taxon(int id)

    - #### Taxon

          public Taxon(int id,
               String name,
               String accordingTo,
               String rank)

      Creates a new Taxon.
      Parameters:
        `id` - the Taxon id.
        `name` - the Taxon name.
        `accordingTo` - the Taxon name author.
        `rank` - the Taxon rank.

  - ### Method Detail

    - #### getTaxonId

          public String getTaxonId()

      Specified by:
        `getTaxonId` in interface `TaxonomyInterface`
      Returns:
        the id

    - #### getName

          public String getName()

      Specified by:
        `getName` in interface `TaxonomyInterface`
      Returns:
        the name

    - #### getAccordingTo

          public String getAccordingTo()

      Specified by:
        `getAccordingTo` in interface `TaxonomyInterface`
      Returns:
        the accordingTo

    - #### getRank

          public String getRank()

      Specified by:
        `getRank` in interface `TaxonomyInterface`
      Returns:
        the rank

    - #### setName

          public void setName(String name)

    - #### setRank

          public void setRank(String rank)

    - #### getId

          public int getId()

      Specified by:
        `getId` in interface `FetchingElement`

    - #### setId

          public void setId(int id)

    - #### compareTo

          public int compareTo(Taxon o)

      Specified by:
        `compareTo` in interface `Comparable<Taxon>`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2013. All Rights Reserved.